Batch Get Conversation Events
curl --request GET \
--url https://api.example.com/api/conversations/{conversation_id}/events \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/events"
payload = ["<string>"]
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.example.com/api/conversations/{conversation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"llm_response_id": "<string>",
"kind": "Condensation",
"id": "<string>",
"timestamp": "<string>",
"source": "environment",
"forgotten_event_ids": [
"<string>"
],
"summary": "<string>",
"summary_offset": 1
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Events
Batch Get Conversation Events
Get a batch of local events given their ids, returning null for any missing item.
GET
/
api
/
conversations
/
{conversation_id}
/
events
Batch Get Conversation Events
Path Parameters
Body
application/json
Response
(Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object | null)[]
Successful Response
- Condensation
- CondensationRequest
- CondensationSummaryEvent
- ConversationErrorEvent
- ConversationStateUpdateEvent
- LLMCompletionLogEvent
- ActionEvent
- MessageEvent
- AgentErrorEvent
- ObservationEvent
- UserRejectObservation
- SystemPromptEvent
- TokenEvent
- PauseEvent
This action indicates a condensation of the conversation history is happening.
Completion or Response ID of the LLM response that generated this event
Allowed value:
"Condensation"Unique event id (ULID/UUID)
Event timestamp
Available options:
agent, user, environment The IDs of the events that are being forgotten (removed from the View given to the LLM).
An optional summary of the events being forgotten.
An optional offset to the start of the resulting view (after forgotten events have been removed) indicating where the summary should be inserted. If not provided, the summary will not be inserted into the view.
Required range:
x >= 0Was this page helpful?

